body {
  font-family: "Montserrat", serif;
  margin: 0;
  background-color: black;
  color: white;
  overflow: hidden;
}

.main {
  display: flex;
  height: 100vh;
  padding: 0.5rem;
}

.sidebar {
  background-color: black;
  width: 340px;
  border-radius: 0.5rem; /*16px*/
  margin-right: 0.5rem;
}

.main-content {
  background-color: #121212;
  flex: 1;
  border-radius: 0.5rem; /*16px*/
  overflow: auto;
  padding: 0 1.5rem 0 1.5rem;
  height: calc(100% - 90px);
}

.music-player {
  background-color: black;
  position: fixed;
  bottom: 0;
  width: 100%;
  height: 80px;
}

a {
  text-decoration: none;
  color: #fff;
}

.nav {
  background-color: #121212;
  border-radius: 0.5rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 100px;
  padding: 0.5rem 0.75rem;
}

.nav-option {
  line-height: 2.5rem;
  opacity: 0.7;
  padding: 0.5rem 0.75rem;
}

.nav-option:hover {
  line-height: 2.5rem;
  opacity: 1;
}

.nav-option i {
  font-size: 1.5rem;
}

.nav-option a {
  font-size: 1rem;
  margin-left: 1rem;
}

.library {
  background-color: #121212;
  border-radius: 0.5rem;
  height: calc(100% - 230px);
  margin-top: 0.5rem;
  padding: 0.5rem 0.75rem;
}

.options {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.lib-option img {
  height: 1.25rem;
  width: 1.25rem;
}

.icons {
  font-size: 1.25rem;
  display: flex;
}

.icons i {
  opacity: 0.7;
  margin-right: 1rem;
}

.icons i:hover {
  opacity: 1;
}

.box {
  height: 8rem;
  background-color: #232323;
  border-radius: 0.5rem;
  margin: 0.75rem 0 1.75rem 0;
  padding: 0.75rem 1rem;
}

.box-p1 {
  font-size: 1rem;
  font-weight: 500;
}

.box-p2 {
  font-size: 0.85rem;
  opacity: 0.9;
}

.badge {
  background-color: #fff;
  border: none;
  border-radius: 100px;
  padding: 0.25rem 1rem;
  font-weight: 700;
  margin-top: 0.5rem;
  height: 2rem;
  width: fit-content;
}

.badge:hover {
  transform: scale(1.05);
  transition-duration: 0.2s;
  transition-timing-function: ease-in-out;
}

.dark-badge {
  background-color: #000;
  color: #fff;
}

.dark-badge:hover {
  transform: scale(1.05);
  transition-duration: 0.2s;
  transition-timing-function: ease-in-out;
}

.sticky-nav {
  position: sticky;
  top: 0;
  background-color: #121212;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 1rem 0 1rem 0;
  z-index: 10;
}

.sticky-nav-icons {
  margin-left: 0.5rem;
  border: none;
  display: flex;
  justify-content: center;
  align-items: center;
}

.sticky-nav-icons-img:hover {
  background-color: #232323;
  border-radius: 0.3rem;
}

.sticky-nav-options {
  display: flex;
  justify-content: center;
  align-items: center;
}

.nav-item {
  margin-right: 1rem;
}

.profile-icon {
  height: 2.5rem;
  width: 2.5rem;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background-color: #1b1b1b;
}

.profile-icon:hover {
  background-color: #232323;
}

@media (max-width: 1000px) {
  .hide {
    display: none;
  }
}

.card {
  background-color: #1b1b1b;
  width: 150px;
  border-radius: 0.5rem;
  padding: 1rem;
  margin-left: 1.5rem;
  margin-top: 1rem;
}

.card:hover {
  transform: scale(1.05);
  transition-duration: 0.3s;
  transition-delay: 0.01s;
  transition-timing-function: ease;
  background-color: #232323;
}

.cards-container {
  display: flex;
  flex-wrap: wrap;
}

.card-img {
  width: 100%;
  border-radius: 0.5rem;
}

.card-title {
  font-weight: 600;
}

.card-info {
  font-size: 0.85rem;
  opacity: 0.8rem;
}

.footer {
  height: 300px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.line {
  width: 90%;
  border: 1px solid white;
  opacity: 0.4;
}

.music-player {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.music-player i:hover {
  cursor: pointer;
  transform: scale(1.1);
}

.album {
  width: 25%;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  padding: 0.3rem 0.75rem 0.5rem 0.75rem;
}

.player {
  width: 50%;
  font-size: smaller;
  cursor: pointer;
}

.controls {
  width: 25%;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  padding: 0.3rem 0.75rem 0.5rem 0.75rem;
  margin-right: 0.7rem;
  font-weight: 100;
  font-size: medium;
}

.player-controls {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 0.5rem;
}

.player-control-icon {
  height: 1rem;
  margin-right: 1.75rem;
  opacity: 0.7;
}

.player-control-icon:hover {
  opacity: 1;
  transform: scale(1.1);
}

.playback-bar {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: medium;
}

.progress-bar {
  width: 60%;
  appearance: none;
  background-color: transparent;
  cursor: pointer;
}

.progress-bar-volume {
  width: 30%;
  cursor: pointer;
}

.progress-bar::-webkit-slider-runnable-track {
  background-color: #ddd;
  border-radius: 100px;
  height: 0.2rem;
}

.progress-bar::-webkit-slider-thumb {
  appearance: none;
  height: 0.8rem;
  width: 0.8rem;
  background-color: #1bd760;
  border-radius: 50%;
  margin-top: -5px;
}

.song-play {
  height: 3.5rem;
  border-radius: 0.4rem;
}

.song-play-p {
  line-height: 0.5rem;
  padding-left: 0.8rem;
}

.song-play-p2:hover {
  opacity: 1;
}

.song-play-p1 {
  font-size: 0.8rem;
  font-weight: 600;
  opacity: 1;
}

.song-play-p2 {
  font-size: 0.7rem;
  font-weight: 500;
  opacity: 0.7;
}

.album i {
  font-size: larger;
  font-weight: 500;
  opacity: 0.7;
  margin-left: 3rem;
}

.album i:hover {
  opacity: 1;
}

.controls i {
  opacity: 0.7;
  padding: 0.5rem;
}

.controls i:hover {
  opacity: 1;
}

.video-icon {
  height: 0.1rem;
  width: 0.001rem;
  display: flex;
  justify-content: center;
  align-items: center;
  border: 2px solid white;
  border-radius: 3px;
  margin-right: 0.5rem;
}
